import { IJsonRpcTransport } from '@solana/rpc-transport';
import { JsonRpcApi } from './types/jsonRpcApi';
type RpcCore = {
    [TMethodName in keyof JsonRpcApi]: (transport: IJsonRpcTransport, ...params: Parameters<JsonRpcApi[TMethodName]>) => ReturnType<JsonRpcApi[TMethodName]>;
};
export declare const rpc: RpcCore;
export {};
//# sourceMappingURL=rpc.d.ts.map